.pretty-checkbox {
    font-size: 0;
    line-height: 0;
    font-weight: 400;
    position: relative;
    display: inline-block;

    &__input {
        @include visually-hidden();
    }

    &__label {
        color: $white;
        font-size: size-rel(16px);
        line-height: size-rel(24px);
        position: relative;
        padding-left: size-rel(36px);
        display: inline-block;

        &::before {
            top: size-rel(4px);
            left: 0;
            z-index: 1;
            content: '';
            width: size-rel(16px);
            height: size-rel(16px);
            display: block;
            position: absolute;
            border: 1px solid $pink;
            border-radius: 2px;
        }

        &:after {
            z-index: 5;
            content : '';
            opacity: 0;
            height : size-rel(10px);
            width : size-rel(10px);;
            position : absolute;
            border-radius : 1px;
            top : size-rel(7px);
            left : size-rel(3px);
            background: $pink;
            transition: .3s;
        }
    }


    &__input:checked + .pretty-checkbox__label {

        &::before {

        }

        &::after {
            opacity: 1;
            visibility: visible;
            transition: .3s;
        }
    }

    &__input:disabled + .pretty-checkbox__label {
        opacity: 0.4;
    }

}
